Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Reactive_Strategy< SVC_HANDLER > Class Template Reference

Defines the interface for specifying a Reactive concurrency strategy for a SVC_HANDLER. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Reactive_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for ACE_Reactive_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types
typedef ACE_Concurrency_Strategy< SVC_HANDLER > | base_type
## Public Methods
| ACE_Reactive_Strategy (int flags=0)
| "Do-nothing constructor"
| ACE_Reactive_Strategy (ACE_Reactor *reactor, ACE_Reactor_Mask=ACE_Event_Handler::READ_MASK, int flags=0)
| Initialize the strategy.
virtual int | open (ACE_Reactor *reactor, ACE_Reactor_Mask=ACE_Event_Handler::READ_MASK, int flags=0)
| Initialize the strategy.
virtual | ~ACE_Reactive_Strategy (void)
| Destructor.
virtual int | activate_svc_handler (SVC_HANDLER *svc_handler, void *arg=0)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Types
typedef ACE_Concurrency_Strategy< SVC_HANDLER > | inherited
## Protected Attributes
ACE_Reactor * | reactor_
| Pointer to the Reactor we'll use to register the <SVC_HANDLER>.
ACE_Reactor_Mask | mask_

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Reactive_Strategy< SVC_HANDLER >

Defines the interface for specifying a Reactive concurrency strategy for a SVC_HANDLER.

This class provides a strategy that registers the <SVC_HANDLER> with a <Reactor>.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Concurrency_Strategy<SVC_HANDLER> ACE_Reactive_Strategy< SVC_HANDLER >::base_type

template<class SVC_HANDLER>
typedef ACE_Concurrency_Strategy<SVC_HANDLER> ACE_Reactive_Strategy< SVC_HANDLER >::inherited`[protected]`

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_Reactive_Strategy< SVC_HANDLER >::ACE_Reactive_Strategy | ( | int | flags = 0 | ) |

| "Do-nothing constructor"

template<class SVC_HANDLER>
ASYS_INLINE ACE_Reactive_Strategy< SVC_HANDLER >::ACE_Reactive_Strategy | ( | ACE_Reactor * | reactor,
|  | ACE_Reactor_Mask | = ACE_Event_Handler::READ_MASK,
|  | int | flags = 0
| ) |

| Initialize the strategy.

template<class SVC_HANDLER>
ASYS_INLINE ACE_Reactive_Strategy< SVC_HANDLER >::~ACE_Reactive_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class SVC_HANDLER>
int ACE_Reactive_Strategy< SVC_HANDLER >::activate_svc_handler | ( | SVC_HANDLER * | svc_handler,
|  | void * | arg = 0
| ) | `[virtual]`

| Activate the <svc_handler> by registering it with the <Reactor> and then calling it's <open> hook. Reimplemented from ACE_Concurrency_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
void ACE_Reactive_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Concurrency_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
int ACE_Reactive_Strategy< SVC_HANDLER >::open | ( | ACE_Reactor * | reactor,
|  | ACE_Reactor_Mask | = ACE_Event_Handler::READ_MASK,
|  | int | flags = 0
| ) | `[virtual]`

| Initialize the strategy.

## Member Data Documentation

template<class SVC_HANDLER>
ACE_Reactive_Strategy< SVC_HANDLER >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Concurrency_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
ACE_Reactor_Mask ACE_Reactive_Strategy< SVC_HANDLER >::mask_`[protected]`

| The mask that we pass to the <Reactor> when we register the <SVC_HANDLER>.

template<class SVC_HANDLER>
ACE_Reactor* ACE_Reactive_Strategy< SVC_HANDLER >::reactor_`[protected]`

| Pointer to the Reactor we'll use to register the <SVC_HANDLER>.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i